Package jakarta.websocket

# Interface Encoder.TextStream<T>

All Superinterfaces:
  `Encoder`

Enclosing interface:
  Encoder

public static interface Encoder.TextStream<T> extends Encoder

## Nested Class Summary

## Nested classes/interfaces inherited from interface jakarta.websocket.Encoder

`Encoder.Binary<T>, Encoder.BinaryStream<T>, Encoder.Text<T>, Encoder.TextStream<T>`

## Method Summary

Modifier and Type
Method
Description
`void`
`encode(T object, Writer writer)`

### Methods inherited from interface jakarta.websocket.Encoder

`destroy, init`

## Method Details

### encode

void encode(T object, Writer writer) throws EncodeException, IOException

Throws:
  `EncodeException`
  `IOException`